Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version: 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Yes Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

Please, add the modulus operator (%), i.e. the remainder of division of one number by another (
http://en.wikipedia.org/wiki/Modulo_operation), in the numeric commands of Field Calculator.

History
#1 - 02/03/2014 10:42 AM - Antonio Falciano

It seems that the mod (%) operator is already available in Jython (http://www.jython.org/docs/library/operator.html), so it should be quite simple to
implement it.

#2 - 02/03/2014 11:06 AM - Álvaro Anguix
- Target version deleted (2.1.0-2223-rc1)

#3 - 01/11/2015 11:43 AM - Antonio Falciano
- Target version set to 2.1.0-2268-rc4
- File modulus.patch added

Has patch: Yes

I attach a patch that adds a new mod operator in the Field calculator.

#4 - 01/12/2015 09:27 AM - Álvaro Anguix
- Has patch changed from No to Yes

#5 - 01/21/2015 10:19 AM - Joaquín  del Cerro Murciano
- Target version deleted (2.1.0-2268-rc4)

#6 - 01/27/2015 02:22 PM - Álvaro Anguix
- Category set to Document table

#7 - 02/19/2019 11:03 AM - Álvaro Anguix
- Target version set to 2.5.0-2930-final
- Status changed from New to Closed
http://en.wikipedia.org/wiki/Modulo_operation
http://www.jython.org/docs/library/operator.html


Added in new "Field Calculator" (gvSIG 2.5)

#8 - 02/19/2019 01:40 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)

Files
modulus.patch 5.23 KB 01/11/2015 Antonio Falciano
